Name:        mononoki-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Mononoki.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 MononokiNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFont-BoldItalic.ttf
install -Dm644 MononokiNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontMono-BoldItalic.ttf
install -Dm644 MononokiNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-BoldItalic.ttf
install -Dm644 MononokiNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFont-Bold.ttf
install -Dm644 MononokiNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontMono-Bold.ttf
install -Dm644 MononokiNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-Bold.ttf
install -Dm644 MononokiNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFont-Italic.ttf
install -Dm644 MononokiNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontMono-Italic.ttf
install -Dm644 MononokiNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-Italic.ttf
install -Dm644 MononokiNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFont-Regular.ttf
install -Dm644 MononokiNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontMono-Regular.ttf
install -Dm644 MononokiNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/MononokiNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MononokiNerdFontPropo-Regular.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
